﻿using System.ComponentModel.Composition;
using Microsoft.VisualStudio.Text.Classification;
using Microsoft.VisualStudio.Utilities;

namespace Highlighterr
{
    //this class contains the Classification Definitions for the different types to be highlighted

    internal static class HighlighterrTypeClassificationDefinition
    {
        [Export(typeof(ClassificationTypeDefinition))]
        [Name("HighlighterrType")]
        internal static ClassificationTypeDefinition HighlighterrType = null;
    }


    internal static class HighlighterrSomethingClassificationDefinition
    {
        [Export(typeof(ClassificationTypeDefinition))]
        [Name("HighlighterrSomething")]
        internal static ClassificationTypeDefinition HighlighterrSomething = null;
    }


    internal static class HighlighterrTypedefClassificationDefinition
    {
        [Export(typeof(ClassificationTypeDefinition))]
        [Name("HighlighterrTypedef")]
        internal static ClassificationTypeDefinition HighlighterrTypedef = null;
    }


    internal static class HighlighterrFunctionClassificationDefinition
    {
        [Export(typeof(ClassificationTypeDefinition))]
        [Name("HighlighterrFunction")]
        internal static ClassificationTypeDefinition HighlighterrFunction = null;
    }


    internal static class HighlighterrEnumClassificationDefinition
    {
        [Export(typeof(ClassificationTypeDefinition))]
        [Name("HighlighterrEnum")]
        internal static ClassificationTypeDefinition HighlighterrEnum = null;
    }


    internal static class HighlighterrMacroClassificationDefinition
    {
        [Export(typeof(ClassificationTypeDefinition))]
        [Name("HighlighterrMacro")]
        internal static ClassificationTypeDefinition HighlighterrMacro = null;
    }



}
